package com.example.dengage_flutter

import android.content.Context
import com.dengage.sdk.DengageManager

class DengageCoordinator private constructor() {
    var dengageManager: DengageManager? = null

    fun setupDengage (logStatus: Boolean, firebaseKey: String?, context: Context) {
        if (firebaseKey == null) {
            throw Error("Both firebase key can't be null");
        }

        dengageManager = when (firebaseKey) {
            null -> {
                DengageManager.getInstance(context)
                    .setLogStatus(logStatus)
                    .init()
            }
            else -> {
                DengageManager.getInstance(context)
                    .setLogStatus(logStatus)
                    .setFirebaseIntegrationKey(firebaseKey)
                    .init()
            }
        }
    }

    companion object {
        var sharedInstance = DengageCoordinator()
    }
}
